/*******************
Ad Format: Expandable Banner
Amazon Template Version: 1.0.1
Last Updated On: 2023-02-20
*******************/

function initializeCreative(event) {
	addEventListeners();
}


function addEventListeners() {
	expand_btn1.addEventListener("click", handleExpand1Button);
	expand_btn2.addEventListener("click", handleExpand2Button);
	overlay_hotspot.addEventListener("click", handleClickOverlay);
}

function handleClickOverlay() {
	EB.clickthrough("Click_Main_Collapsed");
}

function handleExpand1Button() {
	EB.expand({
		panelName: "panel1"
	});
}

function handleExpand2Button() {
	EB.expand({
		panelName: "panel2"
	});
}


adkit.onReady(initializeCreative);