/*******************
Ad Format: Expandable Banner
Amazon Template Version: 1.0.1
Last Updated On: 2023-02-20
*******************/

function initializeCreative(event) {
	addEventListeners();
	initializeVideoTracking();
}

function addEventListeners() {
	collapse_btn.addEventListener("click", handleCollapseButton);
	user_action_btn.addEventListener("click", handleUserActionButton);
	clickthrough_btn.addEventListener("click", handleClickthroughButton);
	overlay_hotspot.addEventListener("click", handleClickOverlay);
}

function initializeVideoTracking() {
	videoTrackingModule = new EBG.VideoModule(video);
}

function handleClickOverlay() {
	EB.clickthrough("Click_Main_Expanded");
	handleCollapseButton()
}

function handleCollapseButton() {
	EB.collapse();
}

function handleUserActionButton() {
	EB.userActionCounter("CustomInteraction");
}

function handleClickthroughButton() {
	EB.clickthrough();
	handleCollapseButton()
}

adkit.onReady(initializeCreative);
